#ifndef __ASSASSIN_H__
#define __ASSASSIN_H__

#include "player.h"

class assassin final: public player_base {
        inline static const fraction INF_HIT_RATE = {0x3F3F3F3F, 1};
        inline static const fraction INSTAKILL_RATE = {1, 10};
public:
        assassin(RNG *rng, const feature enabled_features);
        const char *get_race_name() const override;
        long_result attack(character *ch) override;
};

#endif
